Package com.sas.lsaf.clinical.dictionary

## Interface DictionaryService

-     public interface DictionaryService

  A service to retrieve dictionaries.
  Since:
    2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `exportDictionaryToDataSet​(java.lang.String dictionaryId, EntityStatus dictionaryStatus, java.lang.String version, ExportFileCreateInfo info)` | Exports a dictionary as a data set to a location in the repository or your workspace.
    `DictionaryDescriptor` | `getDictionaryDescriptorByNameAndStatus​(java.lang.String name, EntityStatus status)` | Gets dictionary descriptor by name and `EntityStatus`.
    `java.util.Set<DictionaryDescriptor>` | `getDictionaryDescriptorsByStatus​(EntityStatus status)` | Gets all dictionary descriptors by `EntityStatus`.

- - ### Method Detail

    - #### getDictionaryDescriptorsByStatus

          java.util.Set<DictionaryDescriptor> getDictionaryDescriptorsByStatus​(EntityStatus status)

      Gets all dictionary descriptors by `EntityStatus`. If you do not have the Manage Standards global privilege, only dictionaries with a PUBLISHED status are returned.
      Parameters:
        `status` - The `EntityStatus` of the dictionary.
      Returns:
        A set of dictionary descriptors with the specified status.

    - #### exportDictionaryToDataSet

          java.lang.String exportDictionaryToDataSet​(java.lang.String dictionaryId,
                                                     EntityStatus dictionaryStatus,
                                                     java.lang.String version,
                                                     ExportFileCreateInfo info)
                                              throws DictionaryNotFoundException,
                                                     ExportException

      Exports a dictionary as a data set to a location in the repository or your workspace.
      Parameters:
        `dictionaryId` - The identifier of the dictionary.
        `dictionaryStatus` - The `EntityStatus` of the dictionary.
        `version` - The version of the published dictionary to export. The default version is the latest. If the version is provided, the status is ignored because only published versions can be exported.
        `info` - The method to add the exported data set.
      Returns:
        The path to the exported data set.
      Throws:
        `DictionaryNotFoundException` - Thrown when the dictionary does not exist.
        `ExportException` - Thrown when there is an issue exporting the dictionary.

    - #### getDictionaryDescriptorByNameAndStatus

          DictionaryDescriptor getDictionaryDescriptorByNameAndStatus​(java.lang.String name,
                                                                      EntityStatus status)
                                                               throws DictionaryNotFoundException

      Gets dictionary descriptor by name and `EntityStatus`. If EntityStatus is Published, the latest version is returned. To get a dictionary with a status other than Published, the `GlobalPrivileges.PRIVILEGE_MANAGE_STANDARDS` privilege is required.
      Parameters:
        `name` - The name of the dictionary.
        `status` - The `EntityStatus` of the dictionary.
      Returns:
        The dictionary descriptor with the specified name and status.
      Throws:
        `DictionaryNotFoundException` - Thrown when the dictionary does not exist.